# Method: decryptSecret

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret#body.request_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret#body.response_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret#body.DecryptSecretResponse.SCHEMA_REPRESENTATION)

Decrypts the OAuth client secret used in account linking flows. This can be used to view the client secret (e.g. after pulling a project).

### HTTP request

`POST https://actions.googleapis.com/v2:decryptSecret`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "encryptedClientSecret": string } ``` |

| Fields ||
|---|---|
| `encryptedClientSecret` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The account linking client secret ciphertext. A base64-encoded string. |

### Response body

If successful, the response body contains data with the following structure:
RPC response for v2.decryptSecret.

| JSON representation ||
|---|---|
| ``` { "clientSecret": string } ``` |

| Fields ||
|---|---|
| `clientSecret` | `string` The account linking client secret plaintext. |